- Qt 6.11
- Qt Quick
- QML Types
- QtQuick.VectorImage.Helpers
- ItemSpy
- Qt 6.11.2 Reference Documentation

# ItemSpy QML Type

Provides a way to track the world size of an item and bind to it. More...

Import Statement: | `import QtQuick.VectorImage.Helpers`
Since: | Qt 6.11

- List of all members, including inherited members

## Properties

- requiredTextureSize : size

## Detailed Description

This type is used by VectorImage. It enables adjusting a post-processing effect's texture size to automatically match the on-screen size of an item subtree.

## Property Documentation

### requiredTextureSize : size

The texture size needed to render this item's width and height without scaling artifacts. This accounts for the current transform as well as high-dpi scaling.

Note: The returned size will never exceed the maximum supported texture size, and it will never be smaller than `1x1`.